%define debug_package %{nil}

Summary:	Set of Python 3 bindings for Trolltech's Qt application framework
Name:		python3-qt4
Version:	4.12.1
Release:	1
License:	GPLv2+
Group:		Development/KDE and Qt
Url:		http://www.riverbankcomputing.co.uk/software/pyqt/intro
Source0:	http://garr.dl.sourceforge.net/project/pyqt/PyQt4/PyQt4-%{version}/PyQt4_gpl_x11-%{version}.tar.gz
Patch0:		03_qreal_float_support.dpatch
BuildRequires:	python3-dbus
BuildRequires:	python3-sip
BuildRequires:	sed
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(dbus-1)
# python3-dbus seems to be missing dbus/dbus-python.h
BuildRequires:	pkgconfig(dbus-python)
BuildRequires:	pkgconfig(phonon)
BuildRequires:	pkgconfig(python3)
BuildRequires:	pkgconfig(QtAssistantClient)
BuildRequires:	pkgconfig(QtWebKit)
Provides:	Py3Qt4 = %{EVRD}
Requires:	%{name}-core = %{EVRD}
Requires:	%{name}-dbus = %{EVRD}
Requires:	%{name}-declarative = %{EVRD}
Requires:	%{name}-designer = %{EVRD}
Requires:	%{name}-gui = %{EVRD}
Requires:	%{name}-help = %{EVRD}
Requires:	%{name}-multimedia = %{EVRD}
Requires:	%{name}-network = %{EVRD}
Requires:	%{name}-opengl = %{EVRD}
Requires:	%{name}-phonon = %{EVRD}
Requires:	%{name}-script = %{EVRD}
Requires:	%{name}-scripttools = %{EVRD}
Requires:	%{name}-sql = %{EVRD}
Requires:	%{name}-svg = %{EVRD}
Requires:	%{name}-test = %{EVRD}
Requires:	%{name}-webkit = %{EVRD}
Requires:	%{name}-xml = %{EVRD}
Requires:	%{name}-xmlpatterns = %{EVRD}

%description
PyQt is a set of Python 3 bindings for Trolltech's Qt application framework.

%files

#------------------------------------------------------------

%package assistant
Summary:	PyQt 4 assistant
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description assistant
PyQt 4 assistant.

%files assistant
%{py3_platsitedir}/PyQt4/QtAssistant.so
%{_datadir}/sip3/PyQt4/QtAssistant

#------------------------------------------------------------

%package core
Summary:	PyQt 4 core
Group:		Development/KDE and Qt
Requires:	python3-sip-api(%{sip_api_major}) = %{sip_api}

%description core
PyQt 4 core.

%files core
%dir %{py3_platsitedir}/PyQt4
%{py3_platsitedir}/PyQt4/uic
%{py3_platsitedir}/PyQt4/__init__.py
%{py3_platsitedir}/PyQt4/pyqtconfig.py
%{py3_puresitedir}/dbus/*
%{py3_platsitedir}/PyQt4/Qt.so
%{py3_platsitedir}/PyQt4/QtCore.so
%{_datadir}/sip3/PyQt4/Qt
%{_datadir}/sip3/PyQt4/QtCore

#------------------------------------------------------------

%package dbus
Summary:	PyQt 4 dbus
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description dbus
PyQt 4 dbus.

%files dbus
%{py3_platsitedir}/PyQt4/QtDBus.so
%{_datadir}/sip3/PyQt4/QtDBus

#------------------------------------------------------------

%package declarative
Summary:	PyQt 4 declarative
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description declarative
PyQt 4 declarative.

%files declarative
%{py3_platsitedir}/PyQt4/QtDeclarative.so
%{_datadir}/sip3/PyQt4/QtDeclarative

#------------------------------------------------------------

%package designer
Summary:	PyQt 4 designer
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description designer
PyQt 4 designer.

%files designer
%{py3_platsitedir}/PyQt4/QtDesigner.so
%{_datadir}/sip3/PyQt4/QtDesigner

#------------------------------------------------------------

%package gui
Summary:	PyQt 4 gui
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description gui
PyQt 4 gui.

%files gui
%{py3_platsitedir}/PyQt4/QtGui.so
%{_datadir}/sip3/PyQt4/QtGui

#------------------------------------------------------------

%package help
Summary:	PyQt 4 help
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description help
PyQt 4 help.

%files help
%{py3_platsitedir}/PyQt4/QtHelp.so
%{_datadir}/sip3/PyQt4/QtHelp

#------------------------------------------------------------

%package multimedia
Summary:	PyQt 4 multimedia
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description multimedia
PyQt 4 multimedia.

%files multimedia
%{py3_platsitedir}/PyQt4/QtMultimedia.so
%{_datadir}/sip3/PyQt4/QtMultimedia

#------------------------------------------------------------

%package network
Summary:	PyQt 4 network
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description network
PyQt 4 network.

%files network
%{py3_platsitedir}/PyQt4/QtNetwork.so
%{_datadir}/sip3/PyQt4/QtNetwork

#------------------------------------------------------------

%package opengl
Summary:	PyQt 4 opengl
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description opengl
PyQt 4 opengl.

%files opengl
%{py3_platsitedir}/PyQt4/QtOpenGL.so
%{_datadir}/sip3/PyQt4/QtOpenGL

#------------------------------------------------------------

%package phonon
Summary:	PyQt 4 phonon
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description phonon
PyQt 4 phonon.

%files phonon
%{py3_platsitedir}/PyQt4/phonon.so
%{_datadir}/sip3/PyQt4/phonon

#------------------------------------------------------------

%package script
Summary:	PyQt 4 script
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description script
PyQt 4 script.

%files script
%{py3_platsitedir}/PyQt4/QtScript.so
%{_datadir}/sip3/PyQt4/QtScript

#------------------------------------------------------------

%package scripttools
Summary:	PyQt 4 scripttools
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description scripttools
PyQt 4 scripttools.

%files scripttools
%{py3_platsitedir}/PyQt4/QtScriptTools.so
%{_datadir}/sip3/PyQt4/QtScriptTools

#------------------------------------------------------------

%package sql
Summary:	PyQt 4 sql
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description sql
PyQt 4 sql.

%files sql
%{py3_platsitedir}/PyQt4/QtSql.so
%{_datadir}/sip3/PyQt4/QtSql

#------------------------------------------------------------

%package svg
Summary:	PyQt 4 svg
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description svg
PyQt 4 svg.

%files svg
%{py3_platsitedir}/PyQt4/QtSvg.so
%{_datadir}/sip3/PyQt4/QtSvg

#------------------------------------------------------------

%package test
Summary:	PyQt 4 test
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description test
PyQt 4 test.

%files test
%{py3_platsitedir}/PyQt4/QtTest.so
%{_datadir}/sip3/PyQt4/QtTest

#------------------------------------------------------------

%package webkit
Summary:	PyQt 4 Webkit
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description webkit
PyQt 4 webkit.

%files webkit
%{py3_platsitedir}/PyQt4/QtWebKit.so
%{_datadir}/sip3/PyQt4/QtWebKit

#------------------------------------------------------------

%package xml
Summary:	PyQt 4 xml
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description xml
PyQt 4 xml.

%files xml
%{py3_platsitedir}/PyQt4/QtXml.so
%{_datadir}/sip3/PyQt4/QtXml

#------------------------------------------------------------

%package xmlpatterns
Summary:	PyQt 4 xmlpatterns
Group:		Development/KDE and Qt
Requires:	%{name}-core = %{EVRD}

%description xmlpatterns
PyQt 4 xmlpatterns.

%files xmlpatterns
%{py3_platsitedir}/PyQt4/QtXmlPatterns.so
%{_datadir}/sip3/PyQt4/QtXmlPatterns

#------------------------------------------------------------

%package devel
Summary:	PyQt 4 devel
Group:		Development/KDE and Qt
Requires:	%{name} = %{EVRD}
Requires:	qt4-designer
Conflicts:	python-qt4-devel

%description devel
PyQt 4 devel utilities.

%files devel
%{_bindir}/pyuic4
%{_bindir}/pyrcc4
%{_bindir}/pylupdate4
%{qt4plugins}/designer/*

#------------------------------------------------------------

%prep
%setup -qn PyQt4_gpl_x11-%{version}
%patch0 -p1 -b .real

%build
export QTDIR=%{qt4dir}
export PATH=%{qt4dir}/bin:$PATH
export CFLAGS='%{optflags} -fPIC'
export CXXFLAGS='%{optflags} -fPIC'

python3 ./configure.py \
	--no-qsci-api \
	--confirm-license \
	-s /usr/include/dbus-1.0

# Some modules not requires X libraries
# Python sip not diferentiate qt modules and always add a X set of
# libs to link. We're explicitely this unecessary links
# Using same approach to add missin libpython linh

for name in Qt dbus phonon QtAssistant QtCore QtDBus QtDeclarative QtGui QtMultimedia QtNetwork QtOpenGL QtWebKit QtScript QtSvg QtSql QtDesigner QtTest QtXml QtXmlPatterns QtHelp QtScriptTools; do
    if [ -e ${name}/Makefile ]; then
        sed -i "s,^LIBS = ,LIBS = $(python3-config --libs) ,g" ${name}/Makefile
    fi
done
sed -i "s,/usr/lib/qt4/include/phonon,/usr/include/phonon,g" phonon/Makefile
sed -i "s,/usr/lib/qt4//include/phonon,/usr/include/phonon,g" phonon/Makefile

%make

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}


%changelog

* Thu Jun 14 2018 Denis Silakov <dsilakov@virtuozzo.com> 4.12.1-1
- (70b466f) Updated to 4.12.1


